As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 704430 - Remove nsLayoutUtils::GetFrameFor
: Remove nsLayoutUtils::GetFrameFor
Status: RESOLVED FIXED
[good_first_bug][mentor=Ms2ger]
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla12
Assigned To: Jignesh Kakadiya [:jhk]
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 23:45 PST by :Ms2ger (⌚ UTC+1/+2)
Modified: 2012-01-09 15:12 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Removed nsLayoutUtils::GetFrameFor. (2.40 KB, patch)
2012-01-06 01:45 PST, Jignesh Kakadiya [:jhk]
no flags Details | Diff | Splinter Review
Removed nsLayoutUtils::GetFrameFor. (2.40 KB, patch)
2012-01-06 01:47 PST, Jignesh Kakadiya [:jhk]
Ms2ger: review+
roc: superreview+
Details | Diff | Splinter Review

Description User image :Ms2ger (⌚ UTC+1/+2) 2011-11-21 23:45:05 PST
After bug 703260, it just wraps aView->GetFrame(), and there's only one consumer: <http://mxr.mozilla.org/mozilla-central/source/content/events/src/nsContentEventHandler.cpp#813>.
Comment 1 User image parthasarathy 2011-12-02 22:19:56 PST
I'm a systems engineer with c/c++ experience. I aware this is a code cleanup / refactoring exercise. But I want to get started.
Comment 2 User image :Ms2ger (⌚ UTC+1/+2) 2011-12-03 00:51:06 PST
Hi!

The implementation is at <http://mxr.mozilla.org/mozilla-central/source/layout/base/nsLayoutUtils.h#340>. Please do let me know if you need any help.
Comment 3 User image parthasarathy 2011-12-06 03:57:24 PST
Thanks for the info Ms2ger ! Can I get some pointer / wiki related to the eventHandling, just to have a picture ?
Comment 4 User image :Ms2ger (⌚ UTC+1/+2) 2011-12-06 03:58:58 PST
No idea myself, but smaug might have pointers.
Comment 5 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2011-12-07 11:18:01 PST
Well, since the method is trivial, you can just copy its code to the only place it is used.

What kind of information about event handling is needed?
widget level code dispatches nsEvents to viewmanager/view which ends up to presshell which
calls nsEventStateManager. And between nsEventStateManager::PreHandleEvent and
PostHandleEvent event is dispatched to DOM.
Comment 6 User image parthasarathy 2011-12-08 04:24:54 PST
@smaug: Thanks for the information.

I've started with the issue. I mostly work on Solaris10/Solaris11 x86. I'm currently trying to get a clean build for now. Will post a patch when done.
Comment 7 User image Jignesh Kakadiya [:jhk] 2012-01-06 01:45:04 PST
Created attachment 586360 [details] [diff] [review]
Removed nsLayoutUtils::GetFrameFor.

Patch
Comment 8 User image Jignesh Kakadiya [:jhk] 2012-01-06 01:47:08 PST
Created attachment 586361 [details] [diff] [review]
Removed nsLayoutUtils::GetFrameFor.

Patch2
Comment 9 User image :Ms2ger (⌚ UTC+1/+2) 2012-01-06 02:59:33 PST
Comment on attachment 586361 [details] [diff] [review]
Removed nsLayoutUtils::GetFrameFor.

Looks good to me, asking roc to sign off as well.
Comment 11 User image Ed Morley [:emorley] 2012-01-09 15:12:30 PST
https://hg.mozilla.org/mozilla-central/rev/6a84838e8c98

Thanks for the patch parthasarathy! Hope to see you on IRC in #developers soon :-)

Note You need to log in before you can comment on or make changes to this bug.